<template>
<section class="login-page">
  <div class="login-box login-sidebar">
    <div class="white-box">

      <form class="form-horizontal" id="loginform" action="index.html">
        <el-form :model="Login" :rules="Regras" ref="Login" >

          <el-alert title="Preencher Campos" type="error" description="Favor Preencher ambos os campos" v-if="Login.AlertPreenchimento" show-icon></el-alert>
          <el-alert title="Login Efetuado com sucesso"  type="success" v-if="Login.Alert" show-icon></el-alert>
        
        <div class="row mt-5">
          <div class="col-12 text-center">
            <img src="@/assets/logo-icon.png" alt="" />
          </div>           
        </div>
        
          <el-form-item label="Email:" prop="Email">
            <el-input v-model="Login.Email" placeholder="Email" clearable></el-input>
          </el-form-item>



          <el-form-item label="Senha:" prop="Senha">
            <el-input v-model="Login.Senha" type="password" placeholder="Senha" clearable></el-input>
          </el-form-item>

        
        <div class="form-group text-center">
          <div class="col-xs-12">
            <el-button type="primary"  @click="submitForm('Login')" >Entrar</el-button>
          </div>
        </div>
        
        <div class="form-group">
          <div class="col-sm-12 text-center">
            <p class="p2">Não tem uma conta? <a href="#" class="text-primary"><b ><router-link to="/Registrar" class="b2">Registrar</router-link></b></a></p>
          </div>
        </div>
       
       <div class="form-group">
          <div class="col-sm-12 text-center">
            <p class="p2">Esqueceu a Senha? <a href="#" class="text-primary"><b ><router-link to="/RecuperacaodeSenha" class="b2">Recuperar</router-link></b></a></p>
          </div>
        </div>

      </el-form>
      </form>

    </div>
  </div>
</section>
</template>

<script>
  export default {
    data() {
      return {
        Login: {
          Email:'',
          Senha:'',
          Alert: '',
          AlertPreenchimento: ''
        },
        Regras: {
          Email: [
            { required: true, message: 'Insira um e-mail', trigger: 'blur' },
            { type: 'email', message: 'Inserir endereço de e-mail valido', trigger: 'blur,change' }
          ],
          Senha: [
            { required: true, message: 'Inserir Senha', trigger: 'change'},
          ]          
        }
      };
    },
    methods: {
      submitForm(Login) {
        this.Login.AlertPreenchimento=false;
        this.Login.Alert=false;
        this.$refs[Login].validate((valid) => {
          if (valid) {
            this.Login.Alert=true;
            }else {
            this.Login.AlertPreenchimento=true;
            return false;
          }
        });
      },
    }
  }
</script>

<style scoped>
.login-page{
  background:url(../assets/img/background-2-min.jpeg) no-repeat center center / cover !important;
  height:100%;
  position:fixed;
  width:100%;  
  margin:0 auto;
  box-shadow:1px 0px 50px rgba(0,0,0,0.2);
}
.login-box{
  background:#1A2A40;
  opacity: 0.7;
  filter: alpha(opacity=50); /* For IE8 and earlier */
  width:400px;
  margin:0 auto;
  margin-top:10%;
}
.login-sidebar {
    position: absolute;
    right: 0px;
    margin-top: 0px;
    height: 100%;
}

.white-box{ 
    background:#1A2A40;
    padding:25px;
    margin-bottom:15px;
}
.p2{
  color:#FFFFFF 
}
.b2{
   color:#1E90FF
}
</style>

